# Batch Print 

This Script will register a batch of devices in Snipe IT and print the label.

It requires a JSON file in the following format to register the data:

```
{
  "status_id": "2",
  "name": "HP-Tablet",
  "model_id": "3",
  "serial": "Null",
  "_snipeit_mac_address_1": "Null",
  "_snipeit_betriebssystem_2": "Windows 11",
  "_snipeit_festplatte_4": "128",
  "_snipeit_prozessor_5": "Intel Pentium 4410 1.5ghz",
  "_snipeit_arbeitsspeicher_6": "4",
  "_snipeit_optisches_laufwerk_7": "nein",
  "_snipeit_display_8": "",
  "_snipeit_akku_9": "",
  "_snipeit_anydeskid_10": ""
}
```

# Requirements 

## Python:

```
sudo apt install python3 python3-requests 
```

## Network 

THe executing device needs to be in the Pxe Network (10.200.4.xxx). The "angestoepselt setup" SSID is an approriate WLAN for this. 

# Usage 

`python3 print.py -j {path to json file} -i {amount of devices that should be registered}`

